package com.yd.oss.feign.result;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * 导入结果
 */
public class ImportResult {
    private boolean success;
    private String message;
    private boolean valid;
    private int totalCount;
    private List<String> headers;
    private List<Map<String, Object>> data;
    private List<String> errorMessages;
    
    public ImportResult() {
        this.headers = new ArrayList<>();
        this.data = new ArrayList<>();
        this.errorMessages = new ArrayList<>();
    }
    
    // getter和setter方法
    public boolean isSuccess() {
        return success;
    }
    
    public void setSuccess(boolean success) {
        this.success = success;
    }
    
    public String getMessage() {
        return message;
    }
    
    public void setMessage(String message) {
        this.message = message;
    }
    
    public boolean isValid() {
        return valid;
    }
    
    public void setValid(boolean valid) {
        this.valid = valid;
    }
    
    public int getTotalCount() {
        return totalCount;
    }
    
    public void setTotalCount(int totalCount) {
        this.totalCount = totalCount;
    }
    
    public List<String> getHeaders() {
        return headers;
    }
    
    public void setHeaders(List<String> headers) {
        this.headers = headers;
    }
    
    public List<Map<String, Object>> getData() {
        return data;
    }
    
    public void setData(List<Map<String, Object>> data) {
        this.data = data;
    }
    
    public List<String> getErrorMessages() {
        return errorMessages;
    }
    
    public void setErrorMessages(List<String> errorMessages) {
        this.errorMessages = errorMessages;
    }
}